summaryrefslogtreecommitdiffstats
path: root/development/amaya/amaya.SlackBuild
diff options
context:
space:
mode:
author Vincent Batts2010-06-17 10:19:16 +0200
committer Robby Workman2010-06-17 21:42:34 +0200
commite637744f18d9127646c27f77d19e7f628a6d9652 (patch)
treece34f7c49446d2e0f76e3e3fba64cf84860b098a /development/amaya/amaya.SlackBuild
parentdbebec2717a01c40b62a2da7e53b677954eb47ca (diff)
downloadslackbuilds-e637744f18d9127646c27f77d19e7f628a6d9652.tar.gz
development/amaya: Added (W3 Web Editor)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/amaya/amaya.SlackBuild')
-rw-r--r--development/amaya/amaya.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/development/amaya/amaya.SlackBuild b/development/amaya/amaya.SlackBuild
new file mode 100644
index 0000000000..319321fcb6
--- /dev/null
+++ b/development/amaya/amaya.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for amaya
+
+# Written by Vincent Batts, http://hashbangbash.com/
+
+PRGNAM=amaya
+VERSION=${VERSION:-11.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Amaya${VERSION}
+tar xvf $CWD/$PRGNAM-sources-${VERSION}.tgz
+cd Amaya${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply a patch so wxWidgets builds with the newer gtk
+( cd wxWidgets ; cat $CWD/newgtk.patch | patch -p1 || exit 1 )
+
+mkdir -p Amaya/build
+cd Amaya/build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/opt/ \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-gl \
+ --with-wxsrcdir=../../wxWidgets/ \
+ --enable-system-raptor \
+ --build=$ARCH-slackware-linux
+ make wxwidgets || exit 1
+ make all || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# silly hack to link correctly
+rm -r $PKG/opt/bin/
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin/ ; ln -s ../../opt/Amaya/wx/bin/$PRGNAM )
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps
+ ln -s ../../../opt/Amaya/resources/icons/misc/logo.png amaya.png
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}